{% extends 'base.html.twig' %}

{% block content %}
        <div class="uk-flex uk-flex-center">
            <div class="uk-card uk-card-default uk-width-1-2@m">
                <div class="uk-card-header">

                </div>
                <div class="uk-card-body">
                    <ul>
                        <li>ID : {{ operation.id }}</li>
                        <li>Source : {{ operation.source }}</li>
                        <li>Created: {{ operation.date_created | date }}</li>
                        <li>Updated: {{ operation.date_updated | date }}</li>
                        <li>Etape : {{ operation.step }}</li>
                        <li>Type : {{ operation.type }}</li>
                        <li>Params :
                            <ul>
                                {% for key, value in operation.params %}
                                    {% if value is not iterable %}
                                        <li>{{ key }}: {{ value }}</li>
                                    {% endif %}
                                {% endfor %}
                            </ul>
                        </li>
                        <li>Infos :
                            <ul>
                                {% for key, value in operation.infos %}
                                    {% if value is not iterable %}
                                    <li>{{ key }}: {{ value }}</li>
                                    {% endif %}
                                {% endfor %}
                            </ul>
                        </li>
                        {% if operation.errortype is not null %}
                            <li>
                                <ul>
                                    <li>Remboursable: {% if operation.errortype.refundable %}yes{% else %}no{% endif %}</li>
                                    <li>Error type: {{ operation.errortype.type }}</li>
                                </ul>
                            </li>
                        {% endif %}
                    </ul>
                </div>
                <div class="uk-card-footer">
                    {% if operation.step != 'DONE' %}
                        <a href="{{ path('admin-operation-relaunch', {'operation': operation.id}) }}">Relaunch operation</a>
                    {% endif %}
                </div>
            </div>
        </div>

{% endblock %}
